Update scheduled notification
curl --request PATCH \
--url https://api.nops.io/v1/notifications/scheduled/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"subject": "Updated weekly canvas report"
}
'import requests
url = "https://api.nops.io/v1/notifications/scheduled/{id}"
payload = { "subject": "Updated weekly canvas report" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({subject: 'Updated weekly canvas report'})
};
fetch('https://api.nops.io/v1/notifications/scheduled/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/notifications/scheduled/{id}"
payload := strings.NewReader("{\n \"subject\": \"Updated weekly canvas report\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "clxnotif01",
"recipientEmail": "finops@example.com",
"subject": "Updated weekly canvas report",
"scheduleType": "recurring",
"scheduledAt": "2026-07-20T18:00:00.000Z",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": null,
"cronExpression": "0 14 * * 1",
"status": "pending",
"sentAt": null,
"errorMessage": null,
"nextAttemptAt": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"canvasId": "clxcanvas01",
"explorerReportId": null,
"includeClaraAnalysis": false
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Notifications
Update scheduled notification
PATCH
https://api.nops.io
/
v1
/
notifications
/
scheduled
/
{id}
Update scheduled notification
curl --request PATCH \
--url https://api.nops.io/v1/notifications/scheduled/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"subject": "Updated weekly canvas report"
}
'import requests
url = "https://api.nops.io/v1/notifications/scheduled/{id}"
payload = { "subject": "Updated weekly canvas report" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({subject: 'Updated weekly canvas report'})
};
fetch('https://api.nops.io/v1/notifications/scheduled/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/notifications/scheduled/{id}"
payload := strings.NewReader("{\n \"subject\": \"Updated weekly canvas report\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "clxnotif01",
"recipientEmail": "finops@example.com",
"subject": "Updated weekly canvas report",
"scheduleType": "recurring",
"scheduledAt": "2026-07-20T18:00:00.000Z",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": null,
"cronExpression": "0 14 * * 1",
"status": "pending",
"sentAt": null,
"errorMessage": null,
"nextAttemptAt": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"canvasId": "clxcanvas01",
"explorerReportId": null,
"includeClaraAnalysis": false
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Path Parameters
Scheduled notification ID
Body
application/json
JSON request body
Response
Update scheduled notification
JSON object
Was this page helpful?
⌘I